context = window
RecordingActions = @RecordingActions

@SessionFilesBtn = React.createClass({


  getInitialState: () ->
    {}

  openChat: () ->
    if this.props.isLesson
      this.props.app.layout.showDialog('chat-dialog', {d1: 'lesson_' + this.props.lessonId})
    else
      this.props.app.layout.showDialog('chat-dialog', {d1: 'session_' + this.props.sessionId})

  render: () ->
    `<a className="session-record button-grey left"  onClick={this.openChat.bind(this)}>
        <img src="/assets/content/icon_open_folder.png" align="texttop" height="14" width="14"/>
      FILES
    </a>`
})